For AI agents and LLMs: a structured documentation index is available at /llms.txt. Every page has a Markdown sibling — append .md to any URL.

Skip to content
Paddle Docs home

Get balance currency settings

Returns the balance currency settings for your account.

GET/settings/balance-currency

Returns the balance currency settings for your account.

Includes the currency that your Paddle balance is held in and paid out from (primary), the currency that you'd like it to be held in instead (preferred), and the currencies enabled for your account (enabled).

Requires balance_currency.read permission.

Response (200)

dataobjectrequired
Represents the balance currency settings for your account.
primarystringrequired
Currency that your Paddle balance is currently held in and paid out from. Set by Paddle. When you change preferred, Paddle updates this to match. That's immediately if more than one currency is in enabled or your balance is zero, otherwise after your next payout.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
preferredstringrequired
Currency that you'd like your Paddle balance to be held in and paid out from.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
enabledarrayrequired
Currencies that are enabled to hold a balance for this account. Set by Paddle.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"primary": "USD",
"preferred": "USD",
"enabled": [
"USD"
]
},
"meta": {
"request_id": "9bcdcc29-e180-4055-ad3d-d37e5dc5e56d"
}
}

Was this page helpful?